Skip to content
Start here

V2

List images V2
client.images.v2.list(V2ListParams { account_id, continuation_token, creator, 3 more } params, RequestOptionsoptions?): V2ListResponse { continuation_token, images }
GET/accounts/{account_id}/images/v2
ModelsExpand Collapse
V2ListResponse { continuation_token, images }
continuation_token?: string | null

Continuation token to fetch next page. Passed as a query param when requesting List V2 api endpoint.

maxLength32
images?: Array<Image { id, creator, filename, 4 more } >
id?: string

Image unique identifier.

maxLength32
creator?: string | null

Can set the creator field with an internal user ID.

maxLength1024
filename?: string

Image file name.

maxLength255
meta?: unknown

User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes.

requireSignedURLs?: boolean

Indicates whether the image can be a accessed only using it’s UID. If set to true, a signed token needs to be generated with a signing key to view the image.

uploaded?: string

When the media item was uploaded.

formatdate-time
variants?: Array<string>

Object specifying available variants for an image.

V2Direct Uploads

Create authenticated direct upload URL V2
client.images.v2.directUploads.create(DirectUploadCreateParams { account_id, id, creator, 3 more } params, RequestOptionsoptions?): DirectUploadCreateResponse { id, uploadURL }
POST/accounts/{account_id}/images/v2/direct_upload
ModelsExpand Collapse
DirectUploadCreateResponse { id, uploadURL }
id?: string

Image unique identifier.

maxLength32
uploadURL?: string

The URL the unauthenticated upload can be performed to using a single HTTP POST (multipart/form-data) request.